package cn.cslg.pas.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cslg.pas.domain.WebConfig;
import cn.cslg.pas.mapper.WebConfigMapper;
import lombok.RequiredArgsConstructor;
import org.springframework.context.annotation.Lazy;
import org.springframework.stereotype.Service;

/**
* @author admin
* @description 针对表【web_config(网站配置)】的数据库操作Service实现
* @createDate 2023-03-08 18:51:17
*/
@Service
@RequiredArgsConstructor(onConstructor_ = {@Lazy})
public class WebConfigService extends ServiceImpl<WebConfigMapper, WebConfig>
  {
     public WebConfig  getConfigById(Integer id){
       WebConfig webConfig = this.getById(id);
       if(webConfig !=null){
         return webConfig;
       }
       return new WebConfig();
  }

}




